/* LICENSE:
  =========================================================================
    CMPack'04 Source Code Release for OPEN-R SDK 1.1.5-r2 for ERS7
    Copyright (C) 2004 Multirobot Lab [Project Head: Manuela Veloso]
    School of Computer Science, Carnegie Mellon University
    All rights reserved.
  ========================================================================= */

#ifndef INCLUDED_SPOutMotionEncoder_h
#define INCLUDED_SPOutMotionEncoder_h

#include "../headers/SPOutEncoder.h"
#include "MotionInterface.h"

/*------------------------------------------------------------------
CLASS
  SPOutMotionEncoder

DESCRIPTION
  Encodes SPOut output related to motion.
------------------------------------------------------------------*/
class SPOutMotionEncoder : public SPOutEncoder {
public:
  static int encodeMotionLocalizationUpdate(uchar *buf,
                                            Motion::MotionLocalizationUpdate *mlu);

protected:
private: // methods
private: // data
};

#endif
