/* LICENSE:
  =========================================================================
    CMPack'04 Source Code Release for OPEN-R SDK 1.1.5-r2 for ERS7
    Copyright (C) 2004 Multirobot Lab [Project Head: Manuela Veloso]
    School of Computer Science, Carnegie Mellon University
    All rights reserved.
  ========================================================================= */


#ifndef __MOTION_GLOBALS_H__
#define __MOTION_GLOBALS_H__

#include "../headers/system_config.h"
#include "../Motion/MotionInterface.h"

#ifdef PLATFORM_APERIOS
// #include <OFS/OFS.h>

extern PacketStream *TextOutputStream;
#else
static PacketStream *TextOutputStream=(PacketStream *)0;
#endif

extern Motion::MotionLocalizationUpdateQueue *LocUpdateQueueBuffer;

#endif
// __MOTION_GLOBALS_H__
