/* LICENSE:
  =========================================================================
    CMPack'03 Source Code Release for OPEN-R SDK v1.0
    Copyright (C) 2003 Multirobot Lab [Project Head: Manuela Veloso]
    School of Computer Science, Carnegie Mellon University
    All rights reserved.
  ========================================================================= */

//
// AperiosMessageStructures.hh
//
// header file for structures that get passed from one OObject to another

#ifndef INCLUDED_AperiosMessageStructures_hh
#define INCLUDED_AperiosMessageStructures_hh

#define TRACE 0
#define TRACE_VISION 0

#include <OPENR/ObjcommTypes.h>
#include <Types.h>

struct RequestInfo {
  int region_id;
  ObserverID obs_id;
};

#endif
