/* LICENSE:
  =========================================================================
    CMPack'04 Source Code Release for OPEN-R SDK 1.1.5-r2 for ERS7
    Copyright (C) 2004 Multirobot Lab [Project Head: Manuela Veloso]
    School of Computer Science, Carnegie Mellon University
    All rights reserved.
  ========================================================================= */

#ifndef INCLUDED_SharedMem_h
#define INCLUDED_SharedMem_h

// shared memory ids
namespace MemoryId {
  const int SPOutId           = 0;
  const int SPInId            = 1;
  const int MotionLocUpdateId = 2; // Motion Feedback Id
  const int MainOutId         = 3;
  const int MotionOutId       = 4;
  const int LoggerControlId   = 5;
  const int LoggerOutId       = 6;
  const int WLOutId           = 7;
  const int WLInId            = 8;
  const int PetNetId          = 9;
  const int NUM_MEMORY_IDS    = 10;
}

#endif
