#ifndef TOUCHEDPKG_H_DEF
#define TOUCHEDPKG_H_DEF

#include "TelepatiPkg.h"

class TouchedPkg : public TelepatiPkg{
 public:
  /** Costruttore. Costuisce un ByePkg. @param a Aibo di destinazione*/
  TouchedPkg(int a);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see getMsg()*/
  TouchedPkg(byte* ptr);
  
  /** Distruttore di default.*/
  virtual ~TouchedPkg();
  
  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();
  
  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see ByePkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
