#include "RGen.h"
#include "../utils/utils.h"
#include <queue>
#include <OPENR/OSyslog.h>
#include <OPENR/core_macro.h>
#include <OPENR/OPENRAPI.h>

RGen::RGen(){
  range = 6;
  nextAction = -1;
  ActionVector [0]=STOP;
  ActionVector [1]=CERCA;
  ActionVector [2]=CENTRA_PALLA;
  ActionVector [3]=TIRO_SX;
  ActionVector [4]=TIRO_DX;
  ActionVector [5]=TIRO_FR;
  ActionVector [6]=CAMMINARE;
  ActionVector [7]=VELOCE;
}

OStatus RGen::DoInit(const OSystemEvent& event){  OSYSDEBUG(("RGen::DoInit()\n")); NEW_ALL_SUBJECT_AND_OBSERVER; REGISTER_ALL_ENTRY; SET_ALL_READY_AND_NOTIFY_ENTRY;  return oSUCCESS;}

/*DoStart: fa partire Telepati*/
OStatus RGen::DoStart(const OSystemEvent& event){
  OSYSDEBUG(("RGen::DoStart()\n"));

  ENABLE_ALL_SUBJECT;
  ASSERT_READY_TO_ALL_OBSERVER;

  //OStatus st = OPENR::SetMotorPower(opowerON);
  int dummy=0;
  /*
  EventID sincroEvent = EventID();
  RelativeTime period(0, 0);//4
  TimeEventInfoWithRelativeTime timeInfo(TimeEventInfo::Periodic, period);
  sError error=SetTimeEvent(&timeInfo,myOID_,Extra_Entry[entryTimerEnd],&dummy,sizeof(dummy),&sincroEvent);
  if(error!=sSUCCESS) OSYSLOG1((osyslogERROR, "::DoStart() : ERROR: Sincronization Timer not started\n"));

  */
  return oSUCCESS;
}  //DoStart() END


/*DoStop*/
OStatus RGen::DoStop(const OSystemEvent& event){  OSYSDEBUG(("RGen::DoStop()\n"));  DISABLE_ALL_SUBJECT;  DEASSERT_READY_TO_ALL_OBSERVER;  OStatus st = OPENR::SetMotorPower(opowerOFF);   return oSUCCESS;}  //DoStop() END
/*DoDestroy: libera la memoria occupata*/
OStatus RGen::DoDestroy(const OSystemEvent& event){  OSYSDEBUG(("RGen::DoDestroy\()\n"));  DELETE_ALL_SUBJECT_AND_OBSERVER;  return oSUCCESS;}  //DoDestroy() END

/*
void RGen::TimerEnd(void* msg){
  if(nextAction!=-1){	
    //subject[sbjDecision]->SetData(&(codaComandi.front()),sizeof(string));
    OSYSPRINT(("RGen::  Abbiamo inviato l'azione: %d\n",nextAction));
    subject[sbjDecision]->SetData(&(nextAction),sizeof(int));
    subject[sbjDecision]->NotifyObservers();
    nextAction = -1;
  }else OSYSPRINT(("RGen:: nextAction non e' inizializzata (azione)\n"));
  //codaComandi.pop(); //fa crasciare tutto
}
*/

void RGen::DecideAction(int state){
 
  //FILE *myfile;

  //myfile = fopen ("/MS/OPEN-R/MW/DATA/P/tdata.dat", "a");

  nextAction=ActionVector[state];
  //OSYSPRINT(("RGen:: Abbiamo inserito l'azione: %d\n",nextAction));
  //fprintf (myfile, "#%d +%d ", state, nextAction);
  //fclose (myfile);
}

void RGen::NotifyRLib(const ONotifyEvent& event){
  //Ricevo la situazione dello stato
  //int *i = (int *)event.Data(0);
  //RGen::DecideAction(*i);
  //PRN(("RGen: ricevuto mess da RLib\n"));
  observer[event.ObsIndex()]->AssertReady();
  
  //OSYSDEBUG(("RGen::NotifyRLib\n"));
}


void RGen::NotifyEventMgr(const ONotifyEvent& event){
  //Ricevo la situazione dello stato
  int *i = (int *)event.Data(0);
  RGen::DecideAction(*i);
  //PRN(("RGen: stato ricevuto mess da EventMgr -> %d\n",*i));
    //manda il comando a Rlib
  subject[sbjDecision]->SetData(&(nextAction),sizeof(int));
  subject[sbjDecision]->NotifyObservers();
  //OSYSDEBUG(("RGen::NotifyEventMgr\n"));
  observer[event.ObsIndex()]->AssertReady();
}


void RGen::Ready(const OReadyEvent& event){
  //OSYSDEBUG(("RGen:: ricevuto Assert Ready\n"));
}



