#include "DummyPkg.h"
#define BOMBA 1024

DummyPkg::DummyPkg(int a, bool ack) : TelepatiPkg() {
  type=DUMMY;
  str="Dummy message";
  aibo=a;
  needAck=ack;
  message=0;
}

DummyPkg::DummyPkg(byte* ptr) : TelepatiPkg(ptr){
  str="";
  for(int i=STD_HEADER_SIZE; i<size; i++){
    str+=ptr[i];
  }
}

DummyPkg::~DummyPkg(){
}

TelepatiPkg* DummyPkg::clone(){
  DummyPkg* clone=new DummyPkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}

byte* DummyPkg::getMsg(){
  delete [] message;
//   message=createStdHeader(BOMBA);
//   for(int i=STD_HEADER_SIZE; i<size; i++)
//     message[i]='a';

  const char *tmpStr=str.c_str();
  size_t tmpStrSize=str.size()+1; //stringa + \0
  message=createStdHeader(tmpStrSize);
  for(int i=0; i < tmpStrSize; i++)
    message[STD_HEADER_SIZE+i]=(byte)*(tmpStr+i);
  return message;
}
